<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:00 CET 2009 -->
<TITLE>
BitSetFactory
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.bitset.BitSetFactory interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BitSetFactory";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BitSetFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/ByteBitSet.html" title="class in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/BitSetFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BitSetFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.bitset</FONT>
<BR>
Interface BitSetFactory</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../ch/javasoft/bitset/ByteBitSet.ByteBitSetFactory.html" title="class in ch.javasoft.bitset">ByteBitSet.ByteBitSetFactory</A>, <A HREF="../../../ch/javasoft/bitset/DefaultBitSet.DefaultBitSetFactory.html" title="class in ch.javasoft.bitset">DefaultBitSet.DefaultBitSetFactory</A>, <A HREF="../../../ch/javasoft/bitset/IntBitSet.IntBitSetFactory.html" title="class in ch.javasoft.bitset">IntBitSet.IntBitSetFactory</A>, <A HREF="../../../ch/javasoft/bitset/LongBitSet.LongBitSetFactory.html" title="class in ch.javasoft.bitset">LongBitSet.LongBitSetFactory</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../src-html/ch/javasoft/bitset/BitSetFactory.html#line.42"><B>BitSetFactory</B></A></DL>
</PRE>

<P>
The <code>BitSetFactory</code> class offers generic instantiation methods for
 different <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset"><CODE>IBitSet</CODE></A> implementations.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/BitSetFactory.html#convert(ch.javasoft.bitset.IBitSet)">convert</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;bitSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If the given bit set is an instance of the same class as the instances 
 returned by this factory, it is simply returned.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/BitSetFactory.html#create()">create</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty bit set with default initial capacity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/BitSetFactory.html#create(java.util.BitSet)">create</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A>&nbsp;bits)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a bit set using the specified bits to initialize the new
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/BitSetFactory.html#create(ch.javasoft.bitset.IBitSet)">create</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;bits)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a bit set using the specified bits to initialize the new 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/BitSetFactory.html#create(int)">create</A></B>(int&nbsp;capacity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty bit set with the specified initial capacity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;? extends <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/BitSetFactory.html#getBitSetClass()">getBitSetClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the bit set class instantiated by this factory</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="create()"><!-- --></A><H3>
create</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/BitSetFactory.html#line.47"><B>create</B></A>()</PRE>
<DL>
<DD>Creates an empty bit set with default initial capacity. All bits are 
 initially false.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="create(int)"><!-- --></A><H3>
create</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/BitSetFactory.html#line.52"><B>create</B></A>(int&nbsp;capacity)</PRE>
<DL>
<DD>Creates an empty bit set with the specified initial capacity. All bits 
 are initially false.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="create(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
create</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/BitSetFactory.html#line.61"><B>create</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;bits)</PRE>
<DL>
<DD>Creates a bit set using the specified bits to initialize the new 
 instance. The bits are copied even if the specified bit set is an 
 instance of the same class as the instances returned by this factory.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bits</CODE> - the bit set used which's bits are used to initialize the 
                                returned bit set</DL>
</DD>
</DL>
<HR>

<A NAME="create(java.util.BitSet)"><!-- --></A><H3>
create</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/BitSetFactory.html#line.69"><B>create</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A>&nbsp;bits)</PRE>
<DL>
<DD>Creates a bit set using the specified bits to initialize the new
 instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bits</CODE> - the bit set used which's bits are used to initialize the 
                                returned bit set</DL>
</DD>
</DL>
<HR>

<A NAME="convert(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
convert</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/BitSetFactory.html#line.80"><B>convert</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;bitSet)</PRE>
<DL>
<DD>If the given bit set is an instance of the same class as the instances 
 returned by this factory, it is simply returned. Otherwise, a new bit set 
 instance is created using the specified bits to initialize the new
 instance.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bitSet</CODE> - the bit set to convert if necessary
<DT><B>Returns:</B><DD>the <code>bitSet</code>, if conversion is not necessary, and a new 
                        bit set instance with the same true and false bits otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="getBitSetClass()"><!-- --></A><H3>
getBitSetClass</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;? extends <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&gt; <A HREF="../../../src-html/ch/javasoft/bitset/BitSetFactory.html#line.85"><B>getBitSetClass</B></A>()</PRE>
<DL>
<DD>Returns the bit set class instantiated by this factory
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BitSetFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/ByteBitSet.html" title="class in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/BitSetFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BitSetFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
